package com.sunxung.factoring.entity.invoicemanage;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description : 发票管理-采购发票信息表
 * @Author : 赵渺森
 * @Date: 2023-12-04
 */
@TableName("purchase_invoice_his_info")
public class PurchaseInvoiceHisInfo extends BaseEntity {
    /**
     * 发票基础信息表ID
     **/
    @TableField(value = "invoice_his_info_id")
    private Long invoiceHisInfoId;
    /**
     * 发票号码
     */
    @NotNull(message = "发票号码")
    @TableField(value = "invoice_number")
    private String nvoiceNumber;
    /**
     * 数量
     **/
    @NotNull(message = "数量")
    @TableField(value = "invoice_num")
    private BigDecimal nvoiceNum;
    /**
     * 金额
     */
    @NotNull(message = "金额")
    @TableField(value = "amount")
    private BigDecimal amount;
    /**
     * 税额
     */
    @NotNull(message = "税额")
    @TableField(value = "tax_amount")
    private BigDecimal taxAmount;
    /**
     * 价税合计
     */
    @NotNull(message = "价税合计")
    @TableField(value = "price_tax_total")
    private BigDecimal priceTaxTotal;
    /**
     * 销售方名称
     */
    @NotNull(message = "销售方名称")
    @TableField(value = "seller_name")
    private String sellerName;

    public Long getInvoiceHisInfoId() {
        return invoiceHisInfoId;
    }

    public void setInvoiceHisInfoId(Long invoiceHisInfoId) {
        this.invoiceHisInfoId = invoiceHisInfoId;
    }

    public String getNvoiceNumber() {
        return nvoiceNumber;
    }

    public void setNvoiceNumber(String nvoiceNumber) {
        this.nvoiceNumber = nvoiceNumber;
    }

    public BigDecimal getNvoiceNum() {
        return nvoiceNum;
    }

    public void setNvoiceNum(BigDecimal nvoiceNum) {
        this.nvoiceNum = nvoiceNum;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getPriceTaxTotal() {
        return priceTaxTotal;
    }

    public void setPriceTaxTotal(BigDecimal priceTaxTotal) {
        this.priceTaxTotal = priceTaxTotal;
    }

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }
}
